from rest_framework import serializers
from .models import * 


class ExpenseItemSerializer(serializers.ModelSerializer):
    category_str = serializers.CharField(source="category.name",default="",read_only=True)
    class Meta:
        model = ExpenseItem
        fields="__all__"

class ExpenseSerializer(serializers.ModelSerializer):
    class Meta:
        model = Expense
        fields="__all__"

#.values("id","price","item__category_id","item__category__name","item_id","item__name","note",
class ExpenseCustomSerializer(serializers.ModelSerializer):
    category_name = serializers.CharField(source="item.category.name",default="",read_only=True)
    #category_id = serializers.CharField(source="item.category.id",default="",read_only=True)
    item_name = serializers.CharField(source="item.name",default="",read_only=True)
    creation_time = serializers.DateTimeField(source="created_on",format="%I:%M %p",default="",read_only=True)
    creation_date = serializers.DateTimeField(source="created_on",format="%Y-%m-%d",default="",read_only=True)
    created_by_name = serializers.CharField(source="created_by.name",default="",read_only=True)

    class Meta:
        model = Expense
        #fields="__all__"
        fields =["id","category_name","item_name","creation_time","creation_date","created_by_name","price","note"]
class MedicalServiceSerializer(serializers.ModelSerializer):
    class Meta:
        model = MedicalService
        fields="__all__"
class MedicalServiceMiniSerializer(serializers.ModelSerializer):
    class Meta:
        model = MedicalService
        fields=("id",'name')